Bug 70892 - LTO tape drive writes fail with nasty sense kernel message
LTO tape drive writes fail with nasty sense kernel message
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Doug Ledford
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-06 13:08 EDT by brian atkisson
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description brian atkisson 2002-08-06 13:08:50 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; T312461)

Description of problem:
When using a LTO Ultium1 tape drive and CPIO, get the intermittant kernel 
message:
Aug  6 08:20:18 marx kernel: st0: Error with sense data: Current st09:00: sense 
key Hardware Error
Aug  6 08:20:18 marx kernel: Additional sense indicates Media load or eject 
failed

Backups are sucessful once in a while, but usually I get the privious message 
the backup dies.  While this appears to be a hardware error, all hardware 
associated with the tape drive has been replaced (scsi card, tape drive, tapes, 
cables, etc).  It is also not a software configuration error, as the same conf 
works on redhat 7.1 and 7.2 boxes.

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1.insert tape
2./usr/bin/find . -mount -print | /bin/cpio -oc -O /dev/nst0	

Actual Results:  Aug  6 08:20:18 marx kernel: st0: Error with sense data: 
Current st09:00: sense key Hardware Error
Aug  6 08:20:18 marx kernel: Additional sense indicates Media load or eject 
failed

tape ejects

Additional info:

I have tried changing the block size and using other backup utils.  Both Dell 
and Redhat advanced server support seem to think it is an OS bug.
Comment 1 Arjan van de Ven 2002-08-06 13:13:07 EDT
what controller is this drive connected to?
And what exact kernel is this ?
Comment 2 brian atkisson 2002-08-06 13:30:52 EDT
kernel 2.4.18-5smp 
connected to an adaptec 39160 controller... I've also tried an adaptec 
integrated AIC 7899 controller.  The tape drive is the only device on the 
controller.
Comment 3 Arjan van de Ven 2002-08-06 13:34:01 EDT
ok can you try this:
edit /etc/modules.conf and replace "aic7xxx" with "aic7xxx_old"
and then create a new initrd with
mkinitrd -f /boot/initrd-2.4.18-5smp.img 2.4.18-5smp

that makes the kernel use the 7.1/7.2 driver for the adaptec card
Comment 4 brian atkisson 2002-08-08 17:55:53 EDT
I tried using the old aic-7xxx module.  I am still getting intermittent sense 
errors.
Comment 5 brian atkisson 2002-08-08 18:57:23 EDT
any other suggestions?
Comment 6 Need Real Name 2002-12-04 12:23:34 EST
Please check my comments in bug 75916.  There are recognized issues with Adaptec
Ultra 160 chipsets (aic789x) and tape drives.

If you can get a non-789x controller, the LTO should work more reliably.  Also,
We recommend staying away from 2.4.18-18.7 as the End of Media does not get
reported up through the driver to the user application, so tar, cpio, bru. et al
do not see the end of tape and continue trying to write data beyond end of tape.
 I am reporting this as a new bug.
Comment 7 Bugzilla owner 2004-09-30 11:39:49 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.